Package uk.ac.starlink.topcat.join

## Class MatchOption

- java.lang.Object
- - uk.ac.starlink.topcat.join.MatchOption

-     public class MatchOption
      extends java.lang.Object

  Enumeration class defining requirements on table rows for constructing a matched table.
  Since:
    19 Mar 2004
  Author:
    Mark Taylor (Starlink)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static MatchOption` | `ANY` | Option for including all rows, matched or unmatched.
    `static MatchOption` | `DEFAULT` | Option for default behaviour (all 2+-way matches are included).
    `static MatchOption` | `MATCHED` | Option for including matched rows only.
    `static MatchOption` | `UNMATCHED` | Option for including unmatched rows only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `uk.ac.starlink.table.join.MultiJoinType` | `getJoinType()` | Returns the join type.
    `java.lang.String` | `toString()` | Returns the human-readable description.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MATCHED

          public static final MatchOption MATCHED

      Option for including matched rows only.

    - #### UNMATCHED

          public static final MatchOption UNMATCHED

      Option for including unmatched rows only.

    - #### ANY

          public static final MatchOption ANY

      Option for including all rows, matched or unmatched.

    - #### DEFAULT

          public static final MatchOption DEFAULT

      Option for default behaviour (all 2+-way matches are included).

  - ### Method Detail

    - #### getJoinType

          public uk.ac.starlink.table.join.MultiJoinType getJoinType()

      Returns the join type.
      Returns:
        join type

    - #### toString

          public java.lang.String toString()

      Returns the human-readable description.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        description

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.